Subject: bug#23261: 25.0.92; Undefined behavior in lib/stdint.h

From: Paul Eggert <[email-masked]>
Date: Mon, 11 Apr 2016 09:17:23 -0700

On 04/11/2016 12:23 AM, Paul Eggert wrote:
>
> I don't observe a problem with my clang installation (clang 3.7.0 on 
> Fedora 23 x86-64).

I managed to reproduce the problem in Gnulib by artificially pretending 
to 'configure' that clang's stdint.h was busted, using './configure 
gl_cv_header_working_stdint_h=no'. I installed a fix for the problem 
into Gnulib here:

http://git.savannah.gnu.org/cgit/gnulib.git/commit/?id=705764b377ebeef7bdba1a87fafd99cd56b6f3c9

I ran 'admin/merge-gnulib' to propagate the fix into emacs-25, and then 
merged emacs-25 into master using the procedure described in 
'admin/notes/git-workflow'.

Please give this a try on your setup. Do a 'make clean' before running 
'make'. If 'make' is still building lib/stdint.h, please investigate why 
'./configure' decides that clang's stdint.h is buggy.